<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	
}
else go(URL);

$title = lang('Обсуждения','Обговореня');
require_once '../incfiles/head.php';

$result = mysql_query("SELECT * FROM `groups` WHERE `id` = '".$id."' LIMIT 1");
$arr_group = mysql_fetch_array($result);

if($_GET['act'] == 'admin'){
	
	$req = mysql_query("SELECT * FROM `board` WHERE `id` = '".intval($_GET['view'])."' LIMIT 1");
	$board = mysql_fetch_array($req);
	
	if($user_id == $board['user_id'] && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		
		echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/board.php?id='.$id.'&view='.$_GET['view'].'&act=admin" onclick="Page.Go(this.href); return false">'.lang('Управление обсуждениям','Управлiння обговореням').'</a>
	</div>';
		
		if($_POST['save'] == 1){
			if(empty($_POST['name'])){
				echo ok(lang('Вы не указали названия','Ви не вказали найменування'));
			}elseif(empty($_POST['msg'])){
				echo ok(lang('Вы не указали сообщения','Ви не вказали повідомлення'));
			}else{
				
					mysql_query("UPDATE `board` SET 
					`name` = '".mysql_real_escape_string($_POST['name'])."',
					`text` = '".mysql_real_escape_string($_POST['msg'])."',
					`access_kom` = '".abs(intval($_POST['access_kom']))."' WHERE `id` = '".intval($_GET['view'])."'"); 
					
					
					go(URL.'/groups/board.php?id='.$id.'&view='.$_GET['view']);
			}
		}
		
	?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?	
		echo '<form id="form" method="post" action="'.URL.'/groups/board.php?id='.$id.'&view='.$_GET['view'].'&act=admin">';
		echo '<div class="block">'.lang('Название','Найменування').': <input class="input" type="text" name="name" value="'.$board['name'].'"></div>';
		echo '<div class="block">'.lang('Сообщение','Повідомлення').': <textarea class="input" name="msg" rows="4">'.$board['text'].'</textarea></div>';
		echo '<div class="block">
	'.lang('Коментарии','Коментраi').': 
	<select class="input2" name="access_kom">
	<option value="0"'. ($board['access_kom'] == 0?' selected="selected"':NULL) .'>'.lang('Открытые','Вiдкритi').'</option>
	<option value="1"'. ($board['access_kom'] == 1?' selected="selected"':NULL) .'>'.lang('Закрытые','Закритi').'</option>
	</select>
	</div>';
	echo '<input type="hidden" name="save" value="1"/>
	<input class="button2" type="submit" value="'.lang('Создать','Створити').'"/>';
		require_once '../incfiles/foot.php'; exit;
	}
	

	
	require_once '../incfiles/foot.php'; exit;
}

if(!empty($_GET['del'])){
	
	mysql_query("DELETE FROM `board` WHERE `id` = '".intval($_GET['del'])."'");
	mysql_query("DELETE FROM `board_comm` WHERE `fid` = '".intval($_GET['del'])."'");
	go(URL.'/groups/board.php?id='.$id);
}

if(!empty($_GET['view'])){
	$req = mysql_query("SELECT * FROM `board` WHERE `id` = '".intval($_GET['view'])."' LIMIT 1");
	$board = mysql_fetch_array($req);
	
	echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/board.php?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Обсуждения','Обговорення').'</a> ';
	if($user_id == $board['user_id'] && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		echo '<a href="'.URL.'/groups/board.php?id='.$id.'&view='.$_GET['view'].'&act=admin" onclick="Page.Go(this.href); return false">'.lang(' Управление','Керування').'</a>';
	}
	echo '</div>';
	
	echo '<div class="title">'.$board['name'].'</div>';
	echo '<div class="block">'.user_name($board['user_id']).'<br/>'.vtime($board['time']).'<ul>';
	echo smiles(text($board['text'])).'</div>';
	
	
	
	if (!empty($user_id) && $board['access_kom'] == 0)
			{
				?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('#content_comm').load($that.attr('action')+ '#content_comm .comm');
			$('#textarea').val('');
       }
     }
    });
  });
});

$(function(){
	$('#form_re_comm').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			Page.Go($that.attr('action'));
       }
     }
    });
  });
});
</script>

<?
	require_once 'handler/del_comm.php';
	require_once 'handler/comm.php';
			
			
			echo '<div class="block2">
				<form id="form" method="post" action="'.URL.'/groups/board.php?view='.$_GET['view'].'&id='.$id.'">
				<textarea id="textarea" class="input" name="comm" rows="4"></textarea>
				<input class="button2" type="submit" value="'.lang('Написать','Написати').'"/>
				<a class="button3" href="'.URL.'/ajax/smiles.php" onclick="FormContent.Smiles(this.href); return false"><img src="'.URL.'/design/img/smile.png"/></a>
				</form>
				</div>
				<div id="form_content"></div>';
			}
	
	echo '<div id="content_comm"><div class="comm">
			<div class="title">'.lang('Комментарии','Коментарі').' <div class="right">'.$board['comm'].'</div></div>';
		
			$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `board_comm` WHERE `fid` = '".$board['id']."' LIMIT 1"),0);
			if ($all == true)
			{
				$cp = ceil($all/10);
				$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
				$start = $p*10-10;

				$arr_comm = mysql_query("SELECT * FROM `board_comm` WHERE `fid` = '".$board['id']."' ORDER by `time` DESC LIMIT $start,10");
				while ($arr = mysql_fetch_array($arr_comm))
				{
					echo '<div class="block">';
					if (!empty($user_id) && $user_id == $board['user_id'] or !empty($user_id) && $user_id == $arr['user_id']) echo '<div class="right"><a href="'.URL.'/groups/board.php?view='.$_GET['view'].'&id='.$id.'&p='.$p.'&del_comm='.$arr['id'].'" onclick="Form.delPost(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a></div>';
					echo user_name($arr['user_id']).'<br/>'.vtime($arr['time']).'<ul>';
					if (!empty($arr['quote_id'])) echo '<div class="quote">'.user_name($arr['quote_id']).' '.lang('пишет','пише').':<ul>'.smiles(text($arr['quote'])).'</ul></div>';
					echo smiles(text($arr['text'])).'</ul>';
					if (!empty($user_id) && $user_id != $arr['user_id']  && $board['access_kom'] == 0)
					{
						echo '<ul><a class="link_re_comm" id="link_re_comm_'.$arr['id'].'" href="" onclick="Form.reComm('.$arr['id'].'); return false">'.lang('Ответить','Відповісти').'</a></ul>
						<div class="re_comm" id="re_comm_'.$arr['id'].'">
						<form id="form_re_comm" method="post" action="'.URL.'/groups/board.php?view='.$_GET['view'].'&id='.$id.'">
						<textarea class="input" name="re_comm" rows="4"></textarea>
						<input type="hidden" name="re_id" value="'.$arr['id'].'"/>
						<input class="button2" type="submit" value="'.lang('Написать','Написати').'"/>
						</form>
						</div>';
					}
					echo '</div>';
				}
			}
			navi($p,$cp,''.URL.'/groups/board.php?view='.$_GET['view'].'&id='.$id.'&');
			echo '</div></div>';
	
	require_once '../incfiles/foot.php'; exit;
}

if($_GET['board'] == 'new' and empty($_GET['view'])){
	if (!empty($user_id) && $arr_group['access_board'] == 0 || !empty($user_id) && $arr_group['access_board'] == 1 && in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))) || !empty($user_id) && $arr_group['access_board'] == 2 && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		
		echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>
	<a href="'.URL.'/groups/board.php?board=new&id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Создать обсуждения','Створити обговорення').'</a>
	</div>';
		
		if($_POST['save'] == 1){
			if(empty($_POST['name'])){
				echo ok(lang('Вы не указали названия','Ви не вказали найменування'));
			}elseif(empty($_POST['msg'])){
				echo ok(lang('Вы не указали сообщения','Ви не вказали повідомлення'));
			}else{
				
					mysql_query("INSERT INTO `board` SET `group_id` = '$id', 
					`name` = '".mysql_real_escape_string($_POST['name'])."',
					`text` = '".mysql_real_escape_string($_POST['msg'])."',
					`time` = '".time()."',
					`user_id` = '".$user_id."',
					`access_kom` = '".abs(intval($_POST['access_kom']))."'"); 
					
					
					go(URL.'/groups/board.php?view='.mysql_insert_id().'&id='.$id);
			}
		}
		
	?>
<script type="text/javascript">
$(function(){
	$('#form').on('submit', function(e){
    e.preventDefault();
    var $that = $(this),
        formData = new FormData($that.get(0));
    $.ajax({
      url: $that.attr('action'),
      type: $that.attr('method'),
      contentType: false,
      processData: false,
      data: formData,
      success: function(response){
        if(response){
 			$('.content').html(response);
       }
     }
    });
  });
});
</script>

<?	
		echo '<form id="form" method="post" action="'.URL.'/groups/board.php?board=new&id='.$id.'">';
		echo '<div class="block">'.lang('Название','Найменування').': <input class="input" type="text" name="name"></div>';
		echo '<div class="block">'.lang('Сообщение','Повідомлення').': <textarea class="input" name="msg" rows="4"></textarea></div>';
		echo '<div class="block">
	'.lang('Коментарии','Коментарі').': 
	<select class="input2" name="access_kom">
	<option value="0">'.lang('Открытые','Вiдкритi').'</option>
	<option value="1">'.lang('Закрытые','Закритi').'</option>
	</select>
	</div>';
	echo '<input type="hidden" name="save" value="1"/>
	<input class="button2" type="submit" value="'.lang('Создать','Створити').'"/>';
		require_once '../incfiles/foot.php'; exit;
	}
	
}

echo '<div class="title">
	<a href="'.URL.'/groups/?id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Сообщество','Спільнота').'</a>';
	
	if (!empty($user_id) && $arr_group['access_board'] == 0 || !empty($user_id) && $arr_group['access_board'] == 1 && in_array($user_id, explode("||", substr($arr_group['users'], 1, -1))) || !empty($user_id) && $arr_group['access_board'] == 2 && in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
		echo '<a class="title_a_hover" href="'.URL.'/groups/board.php?board=new&id='.$id.'" onclick="Page.Go(this.href); return false">'.lang('Создать обсуждения','Створити обговорення').'</a>';
	}
		
	
	echo '</div><div class="title">'.$title.'</div>';
$req = mysql_query("SELECT * FROM `board` WHERE `group_id` = '".$id."' ORDER BY `id` DESC");
if(mysql_num_rows($req) > 0){
	while($board = mysql_fetch_array($req)){
		if($user['level'] == 1 or in_array($user_id, explode("||", substr($arr_group['admins'], 1, -1)))){
			$del = '<a href="board.php?del='.$board['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false"><img src="'.URL.'/design/img/closed.png"/></a>';
		}
		echo '<div class="block"><a href="board.php?view='.$board['id'].'&id='.$id.'" onclick="Page.Go(this.href); return false">'.$board['name'].'</a><div class="right">'.$board['comm'].' '.$del.'</div></div>';
	}
}else{
	echo '<div class="block">'.lang('Нет созданый обсуждений','Немає створених обговорень').'</div>';
}

require_once '../incfiles/foot.php';

?>